/*
 * fork() : orphelin adopt
 */
#include <stdio.h>
#include <unistd.h>
#include <stdlib.h>

int main(int argc,char *argv[]) {
  pid_t pid;

  printf("Joe vit sa vie...\n");
  switch (pid=fork()) {
  case -1 :
    fprintf(stderr,"Impossible de creer un processus\n");
    exit(EXIT_FAILURE);
  case 0:
    sleep(2);
    printf("Wilfrid vient de natre (pid=%d, son pere est %d)\n",
	   getpid(),getppid());
    exit(EXIT_SUCCESS);
  default:
    printf("Joe est le pere de %d\n",pid);
    break;
  }
  return EXIT_SUCCESS;
}
