/*
 * comment synchronizer et recuperer des informations sur la terminaison
 * du fils
 */
#include <stdio.h>
#include <unistd.h>
#include <stdlib.h>

int main(int argc,char *argv[]) {
  int etat;

  switch (fork()) {
  case -1:
    fprintf(stderr,"Probleme avec le fork()\n");
    exit(EXIT_FAILURE);
  case 0: {
    int valeur;

    printf("Le fils vit sa vie comme bon lui semble\n");
    sleep(3);
    printf("Le fils en a marre, il arrete\n");
    printf("Donnez une valeur (un entier quelconque) : ");
    scanf("%d",&valeur);
    exit(valeur);
  }
  default:
    printf("Le pere attend la terminaison de son fils\n");
    wait(&etat);
    printf("C'est sur le fils a termine\n");
    if (WIFEXITED(etat)) {
      printf("Le fils a termine en faisant un appel  exit(%d)\n",
	     WEXITSTATUS(etat));
    }
  }
  exit(EXIT_SUCCESS);
}
